/**
 *  Copyright (C) 2009  Thomas Volk
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package net.sf.gtools.jms

import javax.jms.Session
import javax.jms.Destination
import javax.jms.MessageProducer
import javax.jms.MessageConsumer

class JmsDestination {
	private Session session
	private Destination destination
	
	JmsDestination(Session inSession, Destination inDestination) {
		session = inSession
		destination = inDestination
	}
	  
	MessageProducer createProducer() {
		return session.createProducer(destination)
	}
	
	MessageConsumer createConsumer(Map param) {
		return session.createConsumer(destination, param)
	}
}
